Set integration status
Enables or disables an integration by transitioning its status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
status*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST https://sandbox.505pay.link/api/recon/v1/integrations/{id}/status \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "01900000-0000-7000-8000-000000000040",
"code": "bca_qris",
"name": "BCA QRIS",
"category": "acquirer",
"file_type": "csv",
"parser_type": "csv_standard",
"status": "inactive",
"revision": 3,
"last_preview_ok_revision": 3,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-03-01T00:00:00Z"
}{
"error": "validation_failed",
"message": "Request body is invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "insufficient_scope",
"message": "caller lacks the required permission",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "preview_required",
"message": "this profile must preview successfully at its current revision before it can be activated",
"request_id": "01900000-0000-7000-8000-0000000000ff"
}{
"error": "rate_limit_exceeded",
"message": "too many requests",
"request_id": "01900000-0000-7000-8000-000000000001"
}Was this page helpful?